Subject: Re: fix source

From: Zheng Gengbing <[email-masked]>
Date: Mon, 8 Apr 1996 17:05:29 +0800 (EAT)

On Fri, 5 Apr 1996, Guansong Zhang wrote:

> On Apr 5, 10:16am, Zheng Gengbing wrote:
> > Subject: Re: problem in 1.23
> >
> > > 2). intrinsic.d
> > >
> 
> OK. You convinced me! let's deal intrinsic.dep this way:
> 
> 1. use your source fix program to find path.
> 2. generate intrinsic.dep in hpfcc, when make install, copy this file to
> ${prefix}lib.
> 
> Since "make check" should be able to work before "make install", (This is GNU
> convention.) in your intr_call.c, you have to put two path name, one as
> "project_root/lib/intrinsic.dep", one as
> "project_root/src/hpfcc/intrinsic.dep".
> 
> Do you agree?
>

	Ok , I'v improved the Makefile and FixSourceFiles to complete the
requirment. Before install , Makefile will automatically fix the file to
library path and compile it . So , please add a macro difintion about
libdir , like bindir .

> 
> Think about it in this way: in fact, dumpdep do all the work more accurately
> then any graphical tools. Any other thing is just something more, I don't say
> they are not important, but they should be kept one layer up.
> 
> Do you agree?
> 

	In fact , our Vdumpdep are some more accurate than dumpdep , since
Vdumpdep can display the information we added in dep_struct , as well as the 
information dumpdep can display . That 's not mean to say it is perfect ,
but it really help us to do the work.  
	I agree your opinion about keeping the  graphical tools one layer 
up , we must concentrate our energy to merge our work together.

> >
> > > 4. things under src/tool
> > >
> > > In 1.22, I let the thing under src/tool are same in both PKU and HIT
> version. I
> > > noticed unparse.c was change, (with an empty function added) it must for
> gcc in
> > > your machine.
> >
> > 	That's right , since we have a low version of gcc .
> 
> Remember this, we may meet this kind of thing when we try to port our work to
> multi-platforms.
>

	That is really a common problem . I'v seen many free softwares have 
this problem.

Zheng Gengbin